System 2.0.0.0 4.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Net.Configuration.BypassElement), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

This collection holds instances of the add configuration element in the bypasslist configuration element. An add element specifies the address of a resource residing on a server. When an application requests a resource by using the or classes, if the address of the resource is in the bypasslist, the request is sent directly to the server where the resource resides instead of being sent to the proxy server.

Represents a container for the addresses of resources that bypass the proxy server. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes an empty instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds an element to the collection.

  The to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all elements from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Configuration.ConfigurationElement To be added.

  Returns a new configuration element.

  A .

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO("argument exception?")
  System.Object `` To be added.

  Returns the key for the specified configuration element.

  The key value of .

  A .
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Returns the index of the specified configuration element.

  The zero-based index of .

  A .
- Property
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Net.Configuration.BypassElement `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  4.0.0.0
  System.Net.Configuration.BypassElement `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the specified configuration element from the collection.

  The to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the element with the specified key.

  The key of the element to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the element at the specified index.

  The zero-based index of the element to remove.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This collection does not throw an exception when duplicate elements are added.

  Gets a Boolean value that indicates whether this collection throws an exception when duplicate elements are added.